Bug 794985 - Review Request: perl-Data-AMF - Serialize/deserialize Adobe's AMF (ActionMessageFormat) data
Review Request: perl-Data-AMF - Serialize/deserialize Adobe's AMF (ActionMess...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 794990
  Show dependency treegraph
 
Reported: 2012-02-18 09:39 EST by Alec Leamas
Modified: 2012-03-30 23:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Data-AMF-0.09-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-23 11:29:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Alec Leamas 2012-02-18 09:39:00 EST
Spec URL: http://dl.dropbox.com/u/17870887/perl-Data-AMF.spec
SRPM URL:
http://dl.dropbox.com/u/17870887/perl-Data-AMF-0.09-1.fc15.src.rpm

This module is a (de-)serializer for Adobe's AMF (Action Message Format).
Data::AMF is core module and it recognizes only AMF data, not AMF packet.
If you want to read/write AMF Packet, see Data::AMF::Packet instead.

It's a dependency of an upcoming request for get-flash-videos.

rpmlint is quiet besides weird spelling-errors warnings (also on installed package).

koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=3801074 (f17)
Comment 1 Alec Leamas 2012-02-18 09:41:14 EST
I have no package and thus need a sponsor
Comment 2 Petr Šabata 2012-02-21 09:52:18 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[-]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[-]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[!]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/794985/Data-AMF-0.09.tar.gz :
  MD5SUM this package     : 51f3fe689f3d0b331c6ab14e03478b1b
  MD5SUM upstream package : 51f3fe689f3d0b331c6ab14e03478b1b
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[-]: SHOULD Spec use %global instead of %define.

Issues:
FIX: Don't depend directly on perl packages, use the 'perl(Module::Name)' syntax instead.  Remove all your perl-* BuildRequires.
FIX: Make sure you BuildRequire the following: perl(constant), perl(Any::Moose), perl(Carp), perl(Cwd), perl(DateTime), perl(File::Path), perl(File::Spec), perl(Scalar::Util), perl(Spiffy), perl(Test::More), perl(UNIVERSAL::require), perl(XML::LibXML), perl(YAML::Base), and perl(YAML::Node).
TIP: The number of spaces between your email and version in the changelog header is a bit weird.  Is there a reason for this?
TODO: Drop %defattr from %files.  This is no longer needed.
FIX: Your %doc is empty.  Include the relevant documentation, e.g. '%doc Changes LICENSE README'.
FIX: Remove all your perl-* explicit Requires.  One of the reasons is the one I mentioned earlier, another is rpmbuild generates those (or most of, nothing's perfect) automatically, hence you only have to Require those: perl(DateTime) and perl(XML::LibXML)

"FIX" items are blockers.
I see you've also submitted other Perl packages.  I'll do the reviews and sponsor you if you manage to fix everything :)

Generated by fedora-review 0.1.1
External plugins:
Comment 3 Alec Leamas 2012-02-21 10:18:14 EST
Thanks for review! I'll take care of the remarks, and  also update the other in the same way. Stay tuned :)
Comment 4 Petr Šabata 2012-02-21 10:47:53 EST
Okay, I'll wait :)
Comment 5 Alec Leamas 2012-02-21 13:34:12 EST
(In reply to comment #2)
[cut]
> Issues:
> FIX: Don't depend directly on perl packages, use the 'perl(Module::Name)'
> syntax instead.  Remove all your perl-* BuildRequires.
Done

> FIX: Make sure you BuildRequire the following: [cut]
Done

> TIP: The number of spaces between your email and version in the changelog
> header is a bit weird.  Is there a reason for this?
I keep them right-adjusted to make them stand out when the comment lines
grow longer. It's just a habit, I can adjust you think it's a bad one.

> TODO: Drop %defattr from %files.  This is no longer needed.
Done

> FIX: Your %doc is empty.  Include the relevant documentation, e.g. '%doc
> Changes LICENSE README'.
Done (how could I miss that?)

> FIX: Remove all your perl-* explicit Requires.  One of the reasons is the one I
> mentioned earlier, another is rpmbuild generates those (or most of, nothing's
> perfect) automatically, hence you only have to Require those: perl(DateTime)
> and perl(XML::LibXML)
Done

> "FIX" items are blockers.
> I see you've also submitted other Perl packages.  I'll do the reviews and
> sponsor you if you manage to fix everything :)
I have updated those packages as well, new links should be in place soon.

> Generated by fedora-review 0.1.1
Kind of curious on that tool :)

--a

New links:
spec: http://dl.dropbox.com/u/17870887/perl-Crypt-Blowfish_PP-2/perl-Crypt-Blowfish_PP.spec
srpm: http://dl.dropbox.com/u/17870887/perl-Crypt-Blowfish_PP-2/perl-Crypt-Blowfish_PP-1.12-2.fc15.src.rpm
Comment 7 Alec Leamas 2012-02-21 14:07:38 EST
Including LICENSE created a fsf-address error. It's reported upstream: https://rt.cpan.org/Public/Bug/Display.html?id=75198 (had to wait for CPAN to come back online)
Comment 8 Petr Šabata 2012-02-23 05:31:55 EST
Eek, you've also removed the perl(ExtUtils::MakeMaker).  That one was fine and is needed by the build (obviously) :)

Please, add it again.  The rest seems fine now.
Comment 9 Alec Leamas 2012-02-23 06:35:31 EST
Eek is the word. Updated in-place, no release tag bump, commented in changelog.
Comment 10 Petr Šabata 2012-02-23 07:46:18 EST
Ok, approving.
Just tidy your changelog before you push this; one entry per release.  That means something like this:

* Thu Feb 23 2012 Alec Leamas <alec@nowhere.com>             0.09-2
- Re-adding  perl(ExtUtils::MakeMaker) BR.
- Re-enabling Requires: perl(:MODULE_COMPAT...)
- Fixing review remarks.

Also, wait until you're properly sponsored before submitting the SCM request.
Comment 11 Alec Leamas 2012-02-23 09:42:23 EST
New Package SCM Request
=======================
Package Name: perl-Data-AMF
Short Description: Serialize/deserialize Adobe's AMF (ActionMessageFormat) data
Owners: leamas
Branches: f15 f16 f17
InitialCC: psabata
Comment 12 Jon Ciesla 2012-02-23 09:54:56 EST
Git done (by process-git-requests).
Comment 13 Petr Šabata 2012-02-23 10:21:49 EST
Package Change Request
======================
Package Name: perl-Data-AMF
Branches: f15 f16 f17
Owners:
InitialCC: perl-sig

Please, give the perl-sig user the watch* permissions in all branches.
Thank you.
Comment 14 Jon Ciesla 2012-02-23 10:26:54 EST
Done.
Comment 15 Petr Šabata 2012-02-23 10:35:08 EST
(In reply to comment #14)
> Done.

Thank you!
Comment 16 Fedora Update System 2012-02-23 11:32:56 EST
perl-Data-AMF-0.09-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Data-AMF-0.09-2.fc17
Comment 17 Fedora Update System 2012-03-11 12:57:44 EDT
perl-Data-AMF-0.09-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 18 Fedora Update System 2012-03-20 10:36:16 EDT
perl-Data-AMF-0.09-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Data-AMF-0.09-2.fc16
Comment 19 Fedora Update System 2012-03-20 10:37:31 EDT
perl-Data-AMF-0.09-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Data-AMF-0.09-2.fc15
Comment 20 Fedora Update System 2012-03-30 23:15:24 EDT
perl-Data-AMF-0.09-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.